org.openmuc.openiec61850

## Class BdaQuality

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.FcModelNode
    - - org.openmuc.openiec61850.BasicDataAttribute
      - - org.openmuc.openiec61850.BdaBitString
        - - org.openmuc.openiec61850.BdaQuality

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

    public final class BdaQuality
    extends BdaBitString

### Nested Class Summary

Nested Classes
`static class` `BdaQuality.Validity`

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Constructor Summary

Constructors
Constructor and Description
`BdaQuality(ObjectReference objectReference, Fc fc, java.lang.String sAddr, boolean qchg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BdaQuality` `copy()` Returns a copy of model node with all of its children.
`BdaQuality.Validity` `getValidity()`
`boolean` `isBadReference()`
`boolean` `isFailure()`
`boolean` `isInaccurate()`
`boolean` `isInconsistent()`
`boolean` `isOldData()`
`boolean` `isOperatorBlocked()`
`boolean` `isOscillatory()`
`boolean` `isOutOfRange()`
`boolean` `isOverflow()`
`boolean` `isSubstituted()`
`boolean` `isTest()`
`void` `setBadReference(boolean badReference)`
`void` `setDefault()` Initializes BIT_STRING with all zeros
`void` `setFailure(boolean failure)`
`void` `setInaccurate(boolean inaccurate)`
`void` `setInconsistent(boolean inconsistent)`
`void` `setOldData(boolean oldData)`
`void` `setOperatorBlocked(boolean operatorBlocked)`
`void` `setOscillatory(boolean oscillatory)`
`void` `setOutOfRange(boolean outOfRange)`
`void` `setOverflow(boolean overflow)`
`void` `setSubstituted(boolean substituted)`
`void` `setTest(boolean test)`
`void` `setValidity(BdaQuality.Validity validity)`
`java.lang.String` `toString()`

### Methods inherited from class org.openmuc.openiec61850.BdaBitString

`getMaxNumBits, getValue, setValue`

### Methods inherited from class org.openmuc.openiec61850.BasicDataAttribute

`getBasicDataAttributes, getBasicType, getChild, getChild, getChildren, getDchg, getDupd, getQchg, getSAddr, iterator`

### Methods inherited from class org.openmuc.openiec61850.FcModelNode

`getFc`

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`getIterators, getName, getParent, getReference`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### BdaQuality

    public BdaQuality(ObjectReference objectReference,
                      Fc fc,
                      java.lang.String sAddr,
                      boolean qchg)

### Method Detail

#### setDefault

    public void setDefault()

Description copied from class: `BdaBitString`
Initializes BIT_STRING with all zeros

Overrides:
  `setDefault` in class `BdaBitString`

#### copy

    public BdaQuality copy()

Description copied from class: `ModelNode`
Returns a copy of model node with all of its children. Creates new BasicDataAttribute values but reuses ObjectReferences, FunctionalConstraints.

Specified by:
  `copy` in class `ModelNode`
Returns:
  a copy of model node with all of its children.

#### getValidity

    public BdaQuality.Validity getValidity()

#### isOverflow

    public boolean isOverflow()

#### isOutOfRange

    public boolean isOutOfRange()

#### isBadReference

    public boolean isBadReference()

#### isOscillatory

    public boolean isOscillatory()

#### isFailure

    public boolean isFailure()

#### isOldData

    public boolean isOldData()

#### isInconsistent

    public boolean isInconsistent()

#### isInaccurate

    public boolean isInaccurate()

#### isSubstituted

    public boolean isSubstituted()

#### isTest

    public boolean isTest()

#### isOperatorBlocked

    public boolean isOperatorBlocked()

#### setValidity

    public void setValidity(BdaQuality.Validity validity)

#### setOverflow

    public void setOverflow(boolean overflow)

#### setOutOfRange

    public void setOutOfRange(boolean outOfRange)

#### setBadReference

    public void setBadReference(boolean badReference)

#### setOscillatory

    public void setOscillatory(boolean oscillatory)

#### setFailure

    public void setFailure(boolean failure)

#### setOldData

    public void setOldData(boolean oldData)

#### setInconsistent

    public void setInconsistent(boolean inconsistent)

#### setInaccurate

    public void setInaccurate(boolean inaccurate)

#### setSubstituted

    public void setSubstituted(boolean substituted)

#### setTest

    public void setTest(boolean test)

#### setOperatorBlocked

    public void setOperatorBlocked(boolean operatorBlocked)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `BdaBitString`